commit:     9e4ad899631be8cbd14a13df98cf6d4001a4af31
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 23 17:46:37 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 23 18:18:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e4ad899

dev-python/python-dotenv: add 1.0.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/python-dotenv/Manifest                  |  1 +
 .../python-dotenv/python-dotenv-1.0.1.ebuild       | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/python-dotenv/Manifest 
b/dev-python/python-dotenv/Manifest
index 33686de53205..a901218c59c9 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1 +1,2 @@
 DIST python-dotenv-1.0.0.tar.gz 37399 BLAKE2B 
cc5a4b810fae2a79e091a9523738be37ba030c29a373f375f2d413396f56d0606b77febddfba82085f94abc151e86b3a8d4719899e4e80e9956bea3989569dbd
 SHA512 
8fc14eb07d8fb5e4cb4a83338aac1009aaa0715b3e7438b4ac8ee7da0ad5f7cf6b05121a685d05af7f03828ab39df61382cfbc5e95c6708246d1f400fe10d250
+DIST python-dotenv-1.0.1.tar.gz 39115 BLAKE2B 
31bc0598abce2ffe5da0f248f56587fc549489c11b21e87ca144654c564701d7a5f952614b21ba12afb49a7bbb6d3753714c6e628485b449e9de2ec9513657f0
 SHA512 
d03f28f123b19e6e4af05c239686e189e5767108049399c110b80668bfea9d2a3f9222b719863fdef016cbe726a7a77748a18ddad013f7fc21c239ccf680c1da

diff --git a/dev-python/python-dotenv/python-dotenv-1.0.1.ebuild 
b/dev-python/python-dotenv/python-dotenv-1.0.1.ebuild
new file mode 100644
index 000000000000..a36a6d24eae8
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-1.0.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="
+       https://github.com/theskumar/python-dotenv/
+       https://pypi.org/project/python-dotenv/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+       test? (
+               >=dev-python/click-5[${PYTHON_USEDEP}]
+               >=dev-python/sh-2[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/ipython[${PYTHON_USEDEP}]
+               ' python3_{10,11})
+       )
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+distutils_enable_tests pytest
+
+python_install() {
+       distutils-r1_python_install
+       ln -s dotenv "${D}$(python_get_scriptdir)"/python-dotenv || die
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       # Avoid collision with dev-ruby/dotenv (bug #798648)
+       mv "${ED}"/usr/bin/{,python-}dotenv || die
+}

Reply via email to